type cliArgs = { [key: string]: string | boolean | Array<string> };
function cliArgsToObject(
  cliArgs: Array<string>,
  isKeyNeedToBeAdded: boolean
): cliArgs {
  const processEnv: cliArgs = {};
  cliArgs.forEach((option) => {
    if (/^--./.test(option)) {
      const equIndex: number = option.indexOf("=");
      var key: string | Array<string> = option.slice(2, equIndex);
      var value: string | boolean | Array<string> = option.slice(equIndex + 1);
      if (equIndex === -1) {
        key = option.slice(2);
        value = true;
      }
      processEnv[key] = value;
    }
  });
  return processEnv;
}

function objectToCliArgs(
    objectToBeConverted: Record<string, any>,
    isKeyNeedToBeAdded: (key: string) => boolean
  ): string[] {
    const argsArray: string[] = [];
  
    Object.keys(objectToBeConverted).forEach((key: string) => {
      if (isKeyNeedToBeAdded(key)) {
        if (
          typeof objectToBeConverted[key] === "boolean" &&
          objectToBeConverted[key]
        ) {
          argsArray.push(`--${key}`);
        } else {
          argsArray.push(`--${key}=${objectToBeConverted[key]}`);
        }
      }
    });
  
    return argsArray;
  }
  

  export{
    cliArgsToObject,
    objectToCliArgs
  }