// class LoggerImpl {
//     constructor() {
//       this.SUCCESS_TYPE = 'success';
//       this.FAILURE_TYPE = 'failure';
//       this.INFO_TYPE = 'info';
//       this.colors = {
//         'success': ['\x1b[36m', '\x1b[0m'],
//         'failure': ['\x1b[31m', '\x1b[0m'],
//         'info': ['\x1b[33m', '\x1b[0m']
//       };
//       this.consoleLogger = console;
//     }

//     error(err) {
//       this.consoleLogger.error(err);
//     }

//     info() { }

//     log(type, message) {
//       const color = this.colors[type];
//       this.consoleLogger.log(`${color[0]}${message}${color[1]}`);
//     }
//   }

//   export const Logger = new LoggerImpl();

class LoggerImpl {
  SUCCESS_TYPE: string;
  FAILURE_TYPE: string;
  INFO_TYPE: string;
  colors: {
    [key: string]: Array<string>;
  };
  consoleLogger: Console;
  constructor() {
    this.SUCCESS_TYPE = "success";
    this.FAILURE_TYPE = "failure";
    this.INFO_TYPE = "info";
    this.colors = {
      success: ["\x1b[36m", "\x1b[0m"],
      failure: ["\x1b[31m", "\x1b[0m"],
      info: ["\x1b[33m", "\x1b[0m"],
    };
  }

  log(type: string, message: any): void {
    const color: Array<string> = this.colors[type];
    this.consoleLogger.log(`${color[0]}${message}${color[1]}`);
  }

  error(errors: any): void {
    this.consoleLogger.error(errors);
  }
}


export const Logger: LoggerImpl = new LoggerImpl();
