import path from "path";
import { Logger } from "../../build/utils/logger";
import { checkIfFileExists } from "../../src/utils/fileUtils";

function getSonarJarPath(): string {
  const jarPath: string = path.resolve(
    __dirname,
    "..",
    "lint-ci",
    "java-jar",
    "sonar-scanner-cli-4.8.0.2856.jar"
  );
  if (checkIfFileExists(jarPath)) {
    return jarPath;
  }
  Logger.log(Logger.FAILURE_TYPE, "cannot find -  Java-Jar");
  process.exit(0);
}

export {
    getSonarJarPath
}
